Subject: Re: Bash Here - Start Cygwin from a folders context menu
From: "Gerrit P. Haase" <[email-masked]>
To: "Kilroy, David" <[email-masked]>
Cc: [email-masked]
Date: Thu, 30 May 2002 23:28:51 +0200

Hallo David,

Am Donnerstag, 30. Mai 2002 um 20:59 schriebst du:

> From the recent discussion, I thought it a little silly that all the
> different incantations only worked for a particular shell/window combo.
> After a read of some older mailing list stuff discussing different ways of
> doing things I came up with a few modifications to the files Gerrit posted
> [diffs attached]

> It allows you to do any of:
> ./install bash
> ./install rxvt
> ./install [batch]

> And goes off and sets up your registry (and start up files in the case of
> batch) to do things in your preferred method.

> It is relatively easy to add command line incantations for other shells so
> that they can be provided for as well.

> Also:
> 1) Tries to leverage any existing cygwin.bat to create cygwin_indir.bat, if
> thats what you want.
> 2) Stops repeated additions to ~/.bashrc for repeated installs
> 3) handles missing ~/.bashrc
> 4) Uses bare bones rxvt startup line so the users .Xdefaults are used

> Gerrit, would you be interested in adding these changes (or similar) to the
> file you're already hosting? The FAQ can then deal with "but I want Cygwin
> Prompt Here to start ?sh, not bash" [assuming appropriate incantations are
> added].

Yes, sure.  It was a little mess with cleaning up .bashrc all the time;)
I'll look to get it up to the server this weekend.

Someone who is using tcsh and zsh needs to assist me in testing since
I'm not using these two (yet).

If I get it right now it is still not possible to get two extensions at
the same time?  So if I want to have a 'bash Prompt Here' (cmd shell) and
a 'rxvt Prompt Here' I'll need two different startup files?

> Dave.

> Old thread reference:
> http://sources.redhat.com/ml/cygwin/2002-04/msg00647.html

>> From: Gerrit P. Haase [mailto:[email-masked]]
>> Subject: Re: Bash Here - Start Cygwin from a folders context menu

>> Fetch the original from Glen Coakley:
>> http://www.users.qwest.net/~weissj/Cygwin/CygwinAddons.html

>> AND please fetch the diff here:
>> http://koeln.convey.de/cywgin/CygwinPromptHere/

>> Or fetch the ready patched package at my site.

> http://koeln.convey.de/cywgin/CygwinPromptHere/CygwinPromptHere-20020528.tar.gz

-- 
=^..^=

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/